Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Anyone had any luck running Zandronum
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
ColinMc
n00b
n00b


Joined: 26 Dec 2012
Posts: 17

PostPosted: Tue Jan 01, 2013 3:32 am    Post subject: Anyone had any luck running Zandronum Reply with quote

Zandronum is the continuation of Skulltag for playing Doom online with people. I had Skulltag and Doom IDE on Windows before for my setup and want to have a similar setup on my Gentoo system. On the official site, I downloaded the Linux 64-bit version but when I run the script to start the server I get something like this:

Code:
libjpeg.so.62 file or directory does not exist


I do not have that in /usr/lib and I do not believe I ever did. The packages I have for jpeg are:

    virtual/jpeg:0
    media-libs/libjpeg-turbo-1.2.1


Before I tried installing media-libs/jpeg it said it was blocked by virtual/jpeg:0, the problem is I need that package for other programs to function. In the end, my question is has anyone successfully installed and ran Zandronum with success. Also I can replace Doom IDE with DoomSeeker if I have too. Another note is I am still very new to Gentoo and all of its functionalities.

Thanks for any that can help! :)
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2580
Location: UK

PostPosted: Tue Jan 01, 2013 5:24 am    Post subject: Reply with quote

You need to install the legacy version of libjpeg: media-libs/jpeg:62

If it gives errors with the slot specified, you might need to reinstall virtual/jpeg first.
Back to top
View user's profile Send private message
ColinMc
n00b
n00b


Joined: 26 Dec 2012
Posts: 17

PostPosted: Tue Jan 01, 2013 5:45 pm    Post subject: Reply with quote

Ant P. wrote:
You need to install the legacy version of libjpeg: media-libs/jpeg:62

If it gives errors with the slot specified, you might need to reinstall virtual/jpeg first.


Thanks I got it working by doing an install for jpeg:62. Had to use DoomSeeker instead of the Doom IDE program in order to play. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum